/** @file
===========================================================================
MODULE          : AudioDirectShowDeviceSource

DESCRIPTIONS    : Subclasses CDirectShowDeviceSource to store audio information needed by theLiveMedia library

REVISION HISTORY: Version 1.0

COPYRIGHT       : (c)CSIR, Meraka Institute 2007 all rights reserved

RESTRICTIONS	: The information/data/code contained within this file is 
				  the property of CSIR, Meraka Institute and has been 
				  classified as PUBLIC.
===========================================================================
*/
#pragma once

#include <DirectShow\LiveIntegration\DirectShowDeviceSource.h>
#include <Utils\AudioUtils\WavHeaderData.h>

class BasicUsageEnvironment;

class CAudioDirectShowDeviceSource :
	public CDirectShowDeviceSource
{
public:
	static CAudioDirectShowDeviceSource* createNew(UsageEnvironment& env, WavHeaderData* pWavHeaderData);

	unsigned char bitsPerSample() const { return m_pWavHeaderInfo->BitsPerSample(); }
	unsigned char numChannels() const { return m_pWavHeaderInfo->NumChannels(); }
	unsigned samplingFrequency() const { return m_pWavHeaderInfo->SamplingFrequency(); }

protected:
	CAudioDirectShowDeviceSource(UsageEnvironment& env, WavHeaderData* pWavHeaderData/*, CDirectShowDeviceParameters params*/);
	virtual ~CAudioDirectShowDeviceSource(void);

	WavHeaderData* m_pWavHeaderInfo;
};
