/** @file
===========================================================================
MODULE          : MediaFrame

DESCRIPTIONS    : 

REVISION HISTORY: Version 1.0

COPYRIGHT       : (c)CSIR, Meraka Institute 2007 all rights reserved

RESTRICTIONS	: The information/data/code contained within this file is 
				  the property of CSIR, Meraka Institute and has been 
				  classified as PUBLIC.
===========================================================================
*/
#include "StdAfx.h"
#include "MediaFrame.h"

CMediaFrame::CMediaFrame(BYTE* pData, int nLength, REFERENCE_TIME tStartTime, REFERENCE_TIME tEndTime)
	: m_nLength(nLength),
	m_tStartTime(tStartTime),
	m_tEndTime(tEndTime)
{
	m_pData = new BYTE[nLength];
	memcpy(m_pData, pData, nLength);
	m_nLength = nLength;
	m_lDuration = m_tEndTime - m_tStartTime;
}

CMediaFrame::~CMediaFrame(void)
{
	delete[] m_pData;
}

CMediaFrame* CMediaFrame::CreateNew( IMediaSample* pSample )
{
	BYTE* pbData;
	HRESULT hr = pSample->GetPointer(&pbData);
	if (FAILED(hr)) {
		return NULL;
	}
	int nLength = pSample->GetActualDataLength();
	REFERENCE_TIME tStartTime;
	REFERENCE_TIME tEndTime;
	pSample->GetTime(&tStartTime, &tEndTime);
	REFERENCE_TIME tStartTime2;
	REFERENCE_TIME tEndTime2;
	pSample->GetMediaTime(&tStartTime2, &tEndTime2);

	return new CMediaFrame(pbData, nLength, tStartTime, tEndTime);
}

int CMediaFrame::GetActualDataLength()
{
	return m_nLength;
}

BYTE* CMediaFrame::GetData()
{
	return m_pData;
}