/** @file

MODULE						: PicCropperRGB24Impl

TAG							: PCRGB24I

FILE NAME					: PicCropperRGB24Impl.h

DESCRIPTION					: An RGB24 implementation derived from the general
										PicCropperBase() class. Crop a packed RGB24 image
										into another packed RGB24 image.

REVISION HISTORY			: 03/10/2007 KF - the parameters of the Crop() method
							  are reversed so input to output is left to right.

COPYRIGHT					: (c)CSIR, Meraka Institute 2007 all rights reserved

RESTRICTIONS				: The information/data/code contained within this file is 
							  the property of CSIR, Meraka Institute and has been 
							  classified as PUBLIC.
===========================================================================
*/
#ifndef _PICCROPPERRGB24IMPL_H
#define _PICCROPPERRGB24IMPL_H

#pragma once

#include "PicCropperBase.h"

/*
===========================================================================
  Class definition.
===========================================================================
*/
class PicCropperRGB24Impl: public PicCropperBase
{
public:
	// Construction and destruction.
	PicCropperRGB24Impl(void) { }
	PicCropperRGB24Impl(int widthOut, int heightOut, int widthIn, int heightIn, int left, int right, int top, int bottom): PicCropperBase(widthOut,heightOut,widthIn,heightIn,left,right,top,bottom) { }
	virtual ~PicCropperRGB24Impl(void) {}

	// Interface.
	int Crop(void* pInImg, void* pImg);

};//end PicCropperRGB24Impl.

#endif	// _PICCROPPERRGB24IMPL_H
